ICU 60.2 60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
icu::number::impl::MacroProps Struct Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::MacroProps:

## Public Member Functions
bool | copyErrorTo (UErrorCode &status) const
| Check all members for errors. More...

## Data Fields
Notation | notation
MeasureUnit | unit
Rounder | rounder
Grouper | grouper
Padder | padder
IntegerWidth | integerWidth
SymbolsWrapper | symbols
UNumberUnitWidth | unitWidth = UNUM_UNIT_WIDTH_COUNT
UNumberSignDisplay | sign = UNUM_SIGN_COUNT
UNumberDecimalSeparatorDisplay | decimal = UNUM_DECIMAL_SEPARATOR_COUNT
PluralRules * | rules = nullptr
int32_t | threshold = DEFAULT_THRESHOLD
Locale | locale

## Detailed Description

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1279 of file numberformatter.h.

## Member Function Documentation

bool icu::number::impl::MacroProps::copyErrorTo | ( | UErrorCode & | status | ) | const
| inline

Check all members for errors.

Internal:
  Do not use. This API is for internal use only.

Definition at line 1323 of file numberformatter.h.

References icu::number::impl::SymbolsWrapper::copyErrorTo().

## Field Documentation

UNumberDecimalSeparatorDisplay icu::number::impl::MacroProps::decimal = UNUM_DECIMAL_SEPARATOR_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1310 of file numberformatter.h.

Grouper icu::number::impl::MacroProps::grouper

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1290 of file numberformatter.h.

IntegerWidth icu::number::impl::MacroProps::integerWidth

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1296 of file numberformatter.h.

Notation icu::number::impl::MacroProps::notation

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1281 of file numberformatter.h.

Padder icu::number::impl::MacroProps::padder

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1293 of file numberformatter.h.

Rounder icu::number::impl::MacroProps::rounder

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1287 of file numberformatter.h.

PluralRules* icu::number::impl::MacroProps::rules = nullptr

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1313 of file numberformatter.h.

UNumberSignDisplay icu::number::impl::MacroProps::sign = UNUM_SIGN_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1307 of file numberformatter.h.

SymbolsWrapper icu::number::impl::MacroProps::symbols

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1299 of file numberformatter.h.

int32_t icu::number::impl::MacroProps::threshold = DEFAULT_THRESHOLD

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1316 of file numberformatter.h.

MeasureUnit icu::number::impl::MacroProps::unit

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1284 of file numberformatter.h.

UNumberUnitWidth icu::number::impl::MacroProps::unitWidth = UNUM_UNIT_WIDTH_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1304 of file numberformatter.h.

The documentation for this struct was generated from the following file:

- numberformatter.h